Boomi API Control Plane REST API - Users
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get user by ID
Get a single user.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Update a user
Update a user.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Request samples
- Payload
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Delete a user
Delete a user.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Get user profile image
Get icon for a user, if present.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: image/png
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload user profile image
Upload new icon for a user. The image may be resized. An existing icon will be overwritten.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Delete user profile image
Delete icon for a user.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Get currently logged-in user
Get user corresponding to the access token used in this request.
Authorizations:
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Update currently logged-in user profile
Update some settings for the user corresponding to the access token used in this request.
Authorizations:
Request Body schema: application/jsonrequired
| displayName | string |
| firstName | string |
| lastName | string |
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Request samples
- Payload
{- "displayName": "Max Mustermann",
- "firstName": "Max",
- "lastName": "Mustermann"
}Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Get current user's profile image
Get the user icon for the user corresponding to the access token used in this request.
Authorizations:
Responses
Response Schema: image/png
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload current user's profile image
Upload a new user icon for the user corresponding to the access token used in this request.
Authorizations:
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List all users
Get filtered and paged list of all users.
Authorizations:
query Parameters
| text | string |
string | |
| organization | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" |
| role | string Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (UserDTO) List of UserDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create a new user
Create a new user. A password must be provided and the new user is immediately able to login.
Authorizations:
Request Body schema: application/jsonrequired
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Request samples
- Payload
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Unlock a locked user account
Unlock a user that was locked due to too many failed login attempts.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Resend invitation email to a user
Resend email to a previously invited user.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Set password using reset token
Set password for a user corresponding to a token that was sent in an invitation mail or a reset password mail.
Request Body schema: application/jsonrequired
| password required | string The new password to set. |
| token required | string The password reset token received via email. |
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Request samples
- Payload
{- "token": "string",
- "password": "string"
}Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Request password reset email
Send a reset password email to the user corresponding to the access token used in this request. The mail will contain a token that can be used to reset the password.
Request Body schema: application/jsonrequired
| email required | string Email address of the user requesting a password reset. |
Responses
Request samples
- Payload
{- "email": "string"
}Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Invite a new user via email
Create a new user and send an invitation email to it. The user can only login after accepting the invitation and setting a password.
Authorizations:
Request Body schema: application/jsonrequired
| email required | string Email address of the user to invite. |
| role required | string Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role to assign to the invited user. |
| displayName | string Display name for the invited user. |
| organization | string <uuid> Organization to assign the user to. |
| firstName | string First name of the invited user. |
| lastName | string Last name of the invited user. |
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Request samples
- Payload
{- "email": "string",
- "displayName": "string",
- "role": "USER",
- "organization": "452c1a86-a0af-475b-b03f-724878b0f387",
- "firstName": "string",
- "lastName": "string"
}Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Create the initial admin user
Create the first GLOBAL_ADMIN user. No authorization is required for this endpoint but it can only be called as long as there are no users.
Request Body schema: application/jsonrequired
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Request samples
- Payload
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Get currently logged-in user
Get user corresponding to the access token used in this request.
Authorizations:
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}Get user's accepted terms of use
All detail about the accepted versions of terms of use documents and who accepted them.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
required | Array of objects (TermsOfUseAndVersion) List of terms-of-use documents and versions that were accepted. |
object (UserDTO) The user who accepted the terms. | |
| acceptedAt | string <date-time> Timestamp when the terms were accepted. |
Response samples
- 200
- default
{- "acceptedBy": {
- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}, - "acceptedAt": "2019-08-24T14:15:22Z",
- "acceptedVersions": [
- {
- "termsOfUse": {
- "name": "string",
- "active": true,
- "defaultForApiProducts": true,
- "defaultForDevPortals": true,
- "createdAt": "2019-08-24T14:15:22Z",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}, - "version": {
- "number": 0,
- "fileName": "string",
- "fileHash": "string",
- "createdAt": "2019-08-24T14:15:22Z"
}
}
]
}Validate a user invitation token
Get user corresponding to a token, that was sent in an invitation mail or a reset password mail.
query Parameters
| token required | string |
Responses
Response Schema: application/json
| email required | string Email for notifications and resets. |
| locked required | boolean Locked (e.g. failed logins). |
| username required | string Login username (typically email). |
| displayName | string Display name, derived from firstName and lastName if not set directly. |
| status | string Enum: "INVITED" "ACTIVE" "DELETED" ACTIVE, INACTIVE, or INVITED. |
| password | string Write-only. |
| role | string Default: "GLOBAL_ADMIN" Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS" Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN. |
| organization | string <uuid> Organization UUID. |
| firstName | string User's first name. |
| lastName | string User's last name. |
| origin | string Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED" Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI. |
| termsOfUseAccepted | boolean Whether the user has accepted the current terms of use (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a profile image has been uploaded for this user (read-only). |
| externalUserId | string External ID from identity provider. |
| platformPrivileges | Array of strings unique Boomi Platform privilege level. |
Response samples
- 200
- default
{- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}List available authorization scopes
Get all available scopes.
Authorizations:
Responses
Response Schema: application/json
| authorized required | boolean Whether the current user is authorized for this scope. |
| id required | integer <int32> Unique identifier of the scope. |
| key required | string Machine-readable scope key. |
Response samples
- 200
- default
[- {
- "id": 0,
- "key": "string",
- "authorized": true
}
]List available user roles
Get all available user roles.
Authorizations:
Responses
Response Schema: application/json
| description required | string Description of the permissions granted by this role. |
| id required | integer <int32> Unique identifier of the role. |
| key required | string Machine-readable role key, e.g. ADMIN, USER. |
| name required | string Human-readable role name. |
Response samples
- 200
- default
[- {
- "id": 0,
- "key": "string",
- "name": "string",
- "description": "string"
}
]